Page MenuHomePhabricator

Template editor group required at Wikivoyage
Closed, ResolvedPublic

Description

Need to give user access to editing protected templates without giving admin access.
If understand correctly need
$wgGroupPermissions['template_editors']['editprotected'] = true;
added to server.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2018, 7:15 AM

Setting project to Wikimedia-Site-requests, as this request is about settings / configuration of a Wikimedia website.

For more information about how to request these kinds of changes, please see https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes

Is administrator nominations the usual place where discussions take place? If not, please notify your community at the village pump.

It is acceptable place, all current admins will read this. Do not want to publise too much current holes to vandals

Urbanecm triaged this task as Medium priority.

Ok. I just wanted to be sure.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 25 2018, 10:19 AM

Change 441839 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Create TemplateEditor group on enwikivoyage

https://gerrit.wikimedia.org/r/441839

Who should be permitted to grant and revoke templateeditor user group? Administrators? Bureaucrats? By default, only stewards can take change user groups.

I also guess that sysops should be able to edit pages protected for templateeditors only as well (as enwiki). But if you want, this can be changed.

Administrators and Bureaucrats should be added, sysopt too but not sure if any specific users with that status

Vvjjkkii renamed this task from Template editor group required at Wikivoyage to rdaaaaaaaa.Jul 1 2018, 1:01 AM
Vvjjkkii removed Urbanecm as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptJul 1 2018, 1:01 AM
JJMC89 renamed this task from rdaaaaaaaa to Template editor group required at Wikivoyage.Jul 1 2018, 3:23 AM
JJMC89 assigned this task to Urbanecm.
JJMC89 lowered the priority of this task from High to Medium.
JJMC89 updated the task description. (Show Details)
JJMC89 edited subscribers, added: Aklapper; removed: Dereckson.
Sau226 added a subscriber: Sau226.Jul 12 2018, 1:16 PM

Change 445405 had a related patch set uploaded (by Sau226; owner: Sau226):
[operations/mediawiki-config@master] Allow privileged users to add and remove templateeditor right on enwikivoyage

https://gerrit.wikimedia.org/r/445405

I created a patch to allow sysops & bureaucrats to add the new rights. Apologies to Martin for intruding on his patch. I will request that someone puts this patch in their SWAT queue (I am unable to make it to the deployment windows due to timezone issues)

@Sau226 Hello, thank you for your help! There's no need for 2 patches and no need for apologizing (it is very fine to edit patch created by somebody else), so I re-did your changes in 441839 and I will schedule this patch for deployment, hopefully I'll be able to be online during today Morning SWAT (in 4 hours). If not, it'll have to wait for next week. Cheers, Martin

Change 445405 abandoned by Sau226:
Allow privileged users to add and remove templateeditor right on enwikivoyage

Reason:
No need for patch at present.

https://gerrit.wikimedia.org/r/445405

Change 441839 merged by jenkins-bot:
[operations/mediawiki-config@master] Create TemplateEditor group on enwikivoyage

https://gerrit.wikimedia.org/r/441839

Mentioned in SAL (#wikimedia-operations) [2018-07-26T11:30:02Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:441839|Create TemplateEditor group on enwikivoyage (T198056)]] (duration: 00m 55s)

Urbanecm closed this task as Resolved.Jul 26 2018, 12:32 PM

Deployed.